/crm/external/v1/contacts

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Contacts

Parameters

  • TenantID - How you specific customer instance is identified, this will be a number. Find this in the app Help (?) icon > MotionCX Voice > Tenant:
  • ID - (AKA contactID) Numeric identifier of agent.
  • Email - agent email address.
  • FirstName - Agent First Name.
  • LastName - Agent Last Name.
  • Phone - Agent inbound phone.
  • Organization - Org name, ex. MotionCX.
  • Title - Organizational title, ex. - Agent, Supervisor, etc.
  • Alias - Used to hide the real name of the agent.
  • IsAgent - Sort of agents vs non-agetns.
  • IsDidabled - Sort of Enabled vs Disabled (inactive) agents.
  • AddRelatedTickets - Deprecated. No Longer used.
  • RemoveRelatedTickets - Deprecated. No Longer used.
  • ExternalID - Field made for use if a customer has an external system to link ticket information. For more details, please contact MotionCX Support.

Responses available:

  • 200
  • 401
  • 403

Example return:

[
  {
    "id": 13722,
    "tenantId": 2,
    "relatedUserId": null,
    "createdAt": "2022-07-11T15:13:42.2566667",
    "email": "[email protected]",
    "firstName": "Test",
    "lastName": "Agent",
    "address1": null,
    "address2": null,
    "city": null,
    "state": null,
    "postCode": null,
    "phone": null,
    "name": "Test Agent",
    "displayName": [
  {
    "id": 13722,
    "tenantId": 2,
    "relatedUserId": null,
    "createdAt": "2022-07-11T15:13:42.2566667",
    "email": "[email protected]",
    "firstName": "Test",
    "lastName": "Agent",
    "address1": null,
    "address2": null,
    "city": null,
    "state": null,
    "postCode": null,
    "phone": null,
    "name": "Test Agent",
    "displayName": "Test Agent",
    "isAgent": true,
    "organization": "",
    "title": "",
    "alias": "",
    "externalId": null,
    "isDisabled": false
  }
],
    "isAgent": true,
    "organization": "",
    "title": "",
    "alias": "",
    "externalId": null,
    "isDisabled": false
  }
]
Body Params
int32
required
int64 | null
int64
string | null
string | null
string | null
string | null
string | null
string | null
string | null
boolean
boolean
addRelatedTickets
array of int64s | null
addRelatedTickets
removeRelatedTickets
array of int64s | null
removeRelatedTickets
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

401

Unauthorized

403

Forbidden

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json